"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const anchor_1 = require("@coral-xyz/anchor");
const web3_js_1 = require("@solana/web3.js");
const fs_1 = __importDefault(require("fs"));
const client_1 = require("../../src/client");
const constants_1 = require("../../src/constants");
const CLUSTER = 'mainnet-beta';
const CLUSTER_URL = 'http://mango.rpcpool.com/30f906b6aab18aa6e59ec5eb421f';
const secretKey = JSON.parse(fs_1.default.readFileSync('/Users/dboures/.config/solana/id.json', 'utf-8'));
const user = web3_js_1.Keypair.fromSecretKey(Uint8Array.from(secretKey));
const MANGO_ACCOUNT_PK = '6JKd6Z5rGxDGnobTbVDmT3N1T7t5svRq23UxdrdeAWj9';
const usdcMint = new web3_js_1.PublicKey('EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v');
const wsolMint = new web3_js_1.PublicKey('So11111111111111111111111111111111111111112');
async function x() {
    const options = anchor_1.AnchorProvider.defaultOptions();
    const connection = new web3_js_1.Connection(CLUSTER_URL, options);
    const c2 = new web3_js_1.Connection('https://api.mngo.cloud/lite-rpc/v1/', options);
    // const user = Keypair.fromSecretKey(
    //   Buffer.from(
    //     JSON.parse(
    //       process.env.KEYPAIR || fs.readFileSync(USER_KEYPAIR!, 'utf-8'),
    //     ),
    //   ),
    // );
    const userWallet = new anchor_1.Wallet(user);
    const userProvider = new anchor_1.AnchorProvider(connection, userWallet, options);
    const client = await client_1.MangoClient.connect(userProvider, CLUSTER, constants_1.MANGO_V4_ID[CLUSTER], {
        idsSource: 'get-program-accounts',
        multipleConnections: [c2],
    });
    const group = await client.getGroup(new web3_js_1.PublicKey('78b8f4cGCwmZ9ysPFMWLaLTkkaYnUjwMJYStWe5RTSSX'));
    try {
        console.time('test');
        const sig = await client.tokenDeposit(group, await client.getMangoAccount(new web3_js_1.PublicKey(MANGO_ACCOUNT_PK)), usdcMint, 1);
        console.timeEnd('test');
        console.log(sig.signature);
        // console.log(
        //   ` - marginTrade, sig https://explorer.solana.com/tx/${sig}?cluster=${
        //     CLUSTER == 'devnet' ? 'devnet' : ''
        //   }`,
        // );
    }
    catch (error) {
        console.log(error);
    }
}
x();
